%global __cmake_in_source_build 1
%global develdocs howto_libipt.md

Summary: Intel Processor Trace Decoder Library

Name: libipt
Version: 2.0.5
Release: 3%{?dist}

License: BSD
URL: https://github.com/intel/libipt
Source0: https://github.com/intel/libipt/archive/v%{version}.tar.gz
Source1: doc-v%{version}.tar.xz

BuildRequires: gcc-c++ cmake make
ExclusiveArch: x86_64

%description
The Intel Processor Trace (Intel PT) Decoder Library is Intel's reference
implementation for decoding Intel PT.  It can be used as a standalone library
or it can be partially or fully integrated into your tool.

%package devel
Summary: Header files and libraries for Intel Processor Trace Decoder Library
Requires: %{name} = %{version}-%{release}
ExclusiveArch: x86_64

%description devel
The %{name}-devel package contains the header files and libraries needed to
develop programs that use the Intel Processor Trace (Intel PT) Decoder Library.

%prep
%setup -q -n %{name}-%{version}

%build
%cmake -DCMAKE_BUILD_TYPE=RelWithDebInfo \
       -DPTUNIT:BOOL=ON -DMAN:BOOL=OFF \
       -DDEVBUILD:BOOL=ON .
%make_build

%install
%make_install
(cd doc;cp -p %{develdocs} ..)
mkdir -p $RPM_BUILD_ROOT%{_mandir}
(cd $RPM_BUILD_ROOT%{_mandir}/..; %__tar xJf %{SOURCE1})

%check
ctest -V %{?_smp_mflags}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc README
%license LICENSE
%{_libdir}/%{name}.so.*

%files devel
%doc %{develdocs}
%{_includedir}/*
%{_libdir}/%{name}.so
%{_mandir}/*/*.gz

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.5-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.5-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Apr 08 2022 jackbertluo <jackbertluo@tencent.com> - 2.0.5-1
- Initial build
